#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	xsetroot
Version		:	1.1.3
Release		:	17.2.0.rel%{?dist}
Summary		:	Root window parameter setting utility for X
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://www.x.org/pub/individual/app/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	libpng-devel
BuildRequires	:	mesa-devel
BuildRequires	:	xbitmaps
BuildRequires	:	xcb-util
BuildRequires	:	xorg-libXcursor
BuildRequires	:	xorg-libXmu

#-----------------------------------------------------------------------------
%description
The xsetroot program allows you to tailor the appearance of the
background ("root") window on a workstation display running X.
Normally, you experiment with xsetroot until you find a personalized
look that you like, then put the xsetroot command that produces it
into your X startup file.
If no options are specified, or if -def is  specified, the window is
reset to its default state.  The -def option can be specified along
with other options and only the non-specified  characteristics will
be reset to the default state.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
	$XORG_PREFIX					\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
	
#-----------------------------------------------------------------------------
%changelog
